Skip to main content
POST
Create contract draft

Authorizations

api_access_token
string
header
required

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
contract_type_id
integer
opportunity_id
integer
property_id
integer
signature_id
string
from_opportunity
boolean
authoring
string
signed_city
string
manual_values
object

Values for the manual variables the template declares, keyed by variable key

base
object

Where the text starts from

signers
object[]
conditions
object

Declared contract conditions

Response

Created

id
integer

ID of the draft contract submission

status
string
name
string
contract_type
object
contract_template_id
integer
source_document_id
integer | null
source_document
object | null
contract_template
object
preparation
object
opportunity
object | null
from_opportunity
boolean
property
object | null
conditions
object
signed_city
string | null
manual_values
object

Values filled for the template's manual variables, keyed by variable key

variable_values
object
signers
object[]
review_invitation_preview
object
signature_id
string
base
object
created_at
string<date-time>
updated_at
string<date-time>